#include <bits/stdc++.h>

struct frilenser
{
    int pare;
    double procenat;
};

struct comparator
{
    bool operator() (const frilenser& struct1, const frilenser& struct2)
    {
        return (struct1.procenat < struct2.procenat);
    }
};

frilenser niz[200005];

int main()
{
    int n;
    scanf("%d", &n);

    double ukupno = 0;

    for(int i = 0; i<n; i++)
    {
        scanf("%d %lf", &niz[i].pare, &niz[i].procenat);
        ukupno += niz[i].pare;
    }

    std::sort(niz, niz + n, comparator());

    double maks = 0;

    for(int i = 0; i<n; i++)
    {
        if(ukupno * niz[i].procenat / 100 > maks)
            maks = ukupno * niz[i].procenat / 100;

        ukupno -= niz[i].pare;
    }

    printf("%lf", maks);
    return 0;
}